Subject: Re: bug#31446: 26.1; sql-interactive-mode buffer naming is broken

From: Filipp Gunbin <[email-masked]>
Date: Tue, 29 May 2018 22:48:00 +0300

On 29/05/2018 10:36 -0400, Michael Mauger wrote:

> I realize that 26.1 has been released, so my changes obviously won't
> make it. I have a version of the package with vastly improved and
> consistent buffer naming but I want to now test it more heavily. My
> plan is to update the DOCSTRINGs, update the NEWS file, and add to the
> test suite so that behavior is better defined and
> consistent. Longer-term, I want to introduce a Info document to
> describe configuration and workflows related to SQL development.

I was just confused a bit about the latest changes.  While they may have
fixed the original bug (and got into 26.1), I find them strange in that
they AFAICT duplicate (in incomplete way) what is done in sql-comint.

May I ask you to look at past messages in this thread and clarify the
matters, if you have some time?  Currently we're talking about few lines
of changes.  If it all looks bad to you, then we just forget this until
your improved version.

Filipp